Update Document
Rename a document or enable/disable it. Disabled documents stay in the knowledge base but are left out of search results.
PATCH
/api/v1/knowledge/{id}/documents/{documentId}Authorization
apiKey X-API-Key<token>
Your SteelEngine API key (personal, workspace, or organization). Create personal and workspace keys under Settings > API Keys. Create organization keys under Organization Settings > API Keys.
In: header
Path Parameters
id*string
Knowledge base ID.
documentId*string
Document ID.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/v1/knowledge/string/documents/string" \ -H "Content-Type: application/json" \ -d '{ "workspaceId": "string" }'{ "success": true, "data": { "document": { "id": "string", "knowledgeBaseId": "string", "filename": "string", "fileSize": 0, "mimeType": "string", "processingStatus": "pending", "processingError": "string", "processingStartedAt": "2019-08-24T14:15:22Z", "processingCompletedAt": "2019-08-24T14:15:22Z", "chunkCount": 0, "tokenCount": 0, "characterCount": 0, "enabled": true, "connectorId": "string", "connectorType": "string", "sourceUrl": "string", "createdAt": "2019-08-24T14:15:22Z" } }}